#!/usr/bin/env bash
dir=$(dirname $(realpath $0))
export GO111MODULE=on
export GOPROXY=direct
export GOPATH=${dir}/buildenv/deps

mkdir -p ${dir}/buildenv
chmod -R 755 ${dir}/buildenv
rm -rf ${dir}/buildenv

mkdir -p "${dir}/buildenv/src"
mkdir -p ${GOPATH}/src
mkdir -p ${dir}/bin

cp -r "${dir}/main.go" "${dir}/buildenv/src/main.go"

cd ${dir}/buildenv

go mod init src
go mod tidy

go build -o "${dir}/bin/test" "src/main.go"
